package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFL41Data {

    private Map<String, Object> params;
    
    public MWFL41Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsFrekvenceopakovani() {
        return (String) params.get("RS_FREKVENCEOPAKOVANI");
    }

    public Long rsHodnotaopakovani() {
        return (Long) params.get("RS_HODNOTAOPAKOVANI");
    }

    public java.util.Date rsDatumod() {
        return (java.util.Date) params.get("RS_DATUMOD");
    }

    public java.util.Date rsDatumdo() {
        return (java.util.Date) params.get("RS_DATUMDO");
    }

    public Long rsKlietniddisponent() {
        return (Long) params.get("RS_KLIETNIDDISPONENT");
    }

    public String rsStavobchodu() {
        return (String) params.get("RS_STAVOBCHODU");
    }

    public Long rsIdobjednavkyrpt() {
        return (Long) params.get("RS_IDOBJEDNAVKYRPT");
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsIsin2() {
        return (String) params.get("RS_ISIN2");
    }

    public String rsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public String rsNazev2() {
        return (String) params.get("RS_NAZEV2");
    }

    public String rsTypobchodu() {
        return (String) params.get("RS_TYPOBCHODU");
    }

    public Double rsPocetks() {
        return (Double) params.get("RS_POCETKS");
    }

    public Double rsObjem() {
        return (Double) params.get("RS_OBJEM");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public String rsVyplata() {
        return (String) params.get("RS_VYPLATA");
    }

    public String rsPobockavyplaty() {
        return (String) params.get("RS_POBOCKAVYPLATY");
    }

    public String rsCostcentrum() {
        return (String) params.get("RS_COSTCENTRUM");
    }

    public String rsDruhuctu() {
        return (String) params.get("RS_DRUHUCTU");
    }

    public String rsMenauctu() {
        return (String) params.get("RS_MENAUCTU");
    }

    public String rsVariabilnisymbol() {
        return (String) params.get("RS_VARIABILNISYMBOL");
    }

    public String rsKonstantnisymbol() {
        return (String) params.get("RS_KONSTANTNISYMBOL");
    }

    public String rsSpecifickysymbol() {
        return (String) params.get("RS_SPECIFICKYSYMBOL");
    }

    public String rsBankakod() {
        return (String) params.get("RS_BANKAKOD");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public java.util.Date rsObchodnidatum() {
        return (java.util.Date) params.get("RS_OBCHODNIDATUM");
    }

    public java.util.Date rsVlozenidatum() {
        return (java.util.Date) params.get("RS_VLOZENIDATUM");
    }

    public String rsPobocka() {
        return (String) params.get("RS_POBOCKA");
    } 

}
